Skip to main content
PUT
/
admin
/
admins
/
{id}
Update admin
curl --request PUT \
  --url https://api.easierprop.com/admin/admins/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>",
  "password": "<string>",
  "role": "admin",
  "max_accounts": 123
}
'
{
  "ok": true,
  "data": {
    "id": 1,
    "username": "admin",
    "role": "admin",
    "max_accounts": 4
  }
}

Authorizations

Authorization
string
header
required

JWT token obtained from POST /admin/login

Path Parameters

id
integer
required

Admin user ID

Body

application/json
username
string
password
string
role
enum<string>
Available options:
admin,
superadmin
max_accounts
integer

Response

200 - application/json

Admin updated

ok
boolean
Example:

true

data
object